Table of Contents

Module: publish | Twisted-0.19.0/twisted/spread/publish.py
--- | ---
Imported modules |
--- | ---
import banana import copy import flavors import jelly import time from twisted.python import defer
Functions |
_pubReady whenReady
| _pubReady
    _pubReady ( result,  d2 )
(internal)
| whenReady
    whenReady ( d )
Wrap a deferred returned from a pb method in another deferred that expects a RemotePublished as a result. This will allow you to wait until the result is really available. ### Idiomatic usage would look like: publish.whenReady(serverObject.getMeAPublishable()).addCallback(lookAtThePublishable)
Classes |
Publishable | An object whose cached state persists across sessions.
RemotePublished | The local representation of remote Publishable object.

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0